Bug 182005 - [GTK] MiniBrowser settings are just a list of names
Summary: [GTK] MiniBrowser settings are just a list of names
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-23 12:50 PST by Dan Jacobson
Modified: 2018-02-01 01:44 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.01 KB, patch)
2018-02-01 01:35 PST, Carlos Garcia Campos
svillar: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Jacobson 2018-01-23 12:50:57 PST
Please see
https://bugzilla.gnome.org/attachment.cgi?id=367332&action=edit
Nobody can inspect or change the values of items in MiniBrowser, only see their names.
Comment 1 Michael Catanzaro 2018-01-23 18:12:11 PST
There is a hidden horizontal scrollbar you can use. Agreed this ought to be better.
Comment 2 Dan Jacobson 2018-01-24 07:53:31 PST
Also that "WebKit View Settings" window:
1. Cannot be expanded, not via a nonexistant fullscreen icon, as all
there is is an "X" to close it. Nor does grabbing on its sides actually
work!
2. On some screens the "Value" column is visible, on some not. So the
smaller terminal people, if never discovering the almost hidden slider,
will think there is no value column.
And if they discover the slider and slide to see the value, they will
have to slide back again to see the name, unless they remember it.
Comment 3 Carlos Garcia Campos 2018-02-01 01:35:06 PST
Created attachment 332859 [details]
Patch
Comment 4 Sergio Villar Senin 2018-02-01 01:40:12 PST
Comment on attachment 332859 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=332859&action=review

> Tools/ChangeLog:7
> +

Nit, I'd add something here, just because there is absolutely no connection between the bug title and the fixes you describe bellow.
Comment 5 Carlos Garcia Campos 2018-02-01 01:44:53 PST
Committed r227957: <https://trac.webkit.org/changeset/227957>